import { useEffect, useState } from 'react'
import * as api from '@/api'
import type { UserEntity } from '@/api/user'
import CircularProgress from '@mui/material/CircularProgress'
import { AxiosError } from 'axios'
import { useRouter } from 'next/router'

export default function Home() {
  const router = useRouter()

  const [user, setUser] = useState<UserEntity>()
  useEffect(() => {
    console.log('useEffect')
    api.user
      .getUserInfo()
      .then((res) => {
        setUser(res.data)
      })
      .catch((err: AxiosError) => {
        console.error(err.response)
        router.push('/login')
      })
  }, [router])

  if (!user) {
    return (
      <CircularProgress
        sx={{
          position: 'fixed',
          top: '30%',
          left: '50%',
          transform: 'translate(-50%, -50%)',
        }}
      />
    )
  }

  return <>hello {user.email}</>
}
